;-----------------------------INCLUDES-AND-DEFINITIONS------------------------------------------------;

#include "jdg86.h"
#ifndef GRAYLAYERS
#define GRAYLAYERS
GrayDraw1 = $FC00
GrayDraw2 = $F700
TempLine = _textShadow	   			;$86df
PicCoor  = TempLine +1528  			;$80e7
offset   = 	PicCoor +2 					;$80e9
NASR_Status = offset +1	   			;$80ea
#define PAGE1_BPL1         $3C
#define PAGE1_BPL2         $37
_user_int_ram EQU $d2fd
VideoDraw = $F300
#endif

;------------------------------MAIN-PROGRAM------------------------------------------------------------;

.org $d748					;_asm_exec_ram
	nop
	jp ProgStart
	.dw 0
	.dw ShellTitle

ShellTitle:
	.db "Digivolve: Koromon!!!"

ProgStart:
	call _runindicoff
	call _clrLCD
	ld hl,Text
	ld bc,$0000
	call disp
	ld bc,$0002
	call disp
	ld bc,$0003
	call disp
	ld bc,$0004
	call disp
	ld bc,$0005
	call disp
	ld bc,$0006
	call disp
KEYLOOP:
  	call _getkey
	cp  kAdd
	jp  z,CONTUP
	cp  kSub
	jp  z,CONTDOWN
  	cp  kF1
  	jp  z,KOROMON
  	cp  kF3
  	jr  z,AGUMON
  	cp  kF5
  	jp  z,GREYMON
  	cp  kExit
  	jp  z,EXIT
  	jr  KEYLOOP

START:
	call ClearPage		; clear both grayscale layers
	call OpenGray			; open grayscale
	ld bc,$0000
	ret

KOROMON:
	call START
	ld hl,spritelayer1
	call NASR2_3
	ld hl,spritelayer2
	call NASR2_4
	call _getkey			;get key
	call ClearPage		;calls ClearPage(think about what this does)
	call CloseGray 		;closes the grayscale handler
	jp ProgStart

AGUMON:
	call START
	ld hl,spritelayer3
	call NASR2_3
	ld hl,spritelayer4
	call NASR2_4
	call _getkey			;get key
	call ClearPage		;calls ClearPage(think about what this does)
	call CloseGray 		;closes the grayscale handler
	jp ProgStart

GREYMON:
	call START
	ld hl,spritelayer5
	call NASR2_3
	ld hl,spritelayer6
	call NASR2_4
	call _getkey			;get key
	call ClearPage		;calls ClearPage(think about what this does)
	call CloseGray 		;closes the grayscale handler
	jp ProgStart
;--------------------------ROUTINES,STRINGS,-AND-SPRITES--------(OH MY!! [I Couldn't help myself])------------------;
;---------------------------START-THE-GRAYSCALE-HANDLER----------------------------;

disp:
	ld (_curRow),bc
	jp _puts

Text:
	.db "Digivolve: Koromon!!!"	
	.db "F1=Koromon",0
	.db "F3=Agumon",0
	.db "F5=Greymon",0
	.db "Exit=Quit",0
	.db "+ & - =Contrast",0
	.db "By William White",0

CONTUP:
  ld a,31                ;max contrast
  ld hl,_contrast            ;get current contrast address
  cp (hl)                ;is it at the max?
  jp z,ProgStart            ;if at it's highest, go to the beginning
  inc (hl)              ;increase contrast
  ld a,(hl)              ;loads the new contrast
  out (2),a              ;update contrast
  jp  KEYLOOP           ;returns to previous point in program

CONTDOWN:
  sub a                ;aka ld a,$00--lowest contrast
  ld hl,_contrast            ;get current contrast address
  cp (hl)                ;is it at the max?
  jp z,ProgStart            ;if at it's highest, go to the beginning
  dec (hl)              ;decreases the contrast
  ld a,(hl)              ;loads the new contrast
  out (2),a              ;update contrast
  jp  KEYLOOP           ;returns to previous point in program

OpenGray:
	res 2,(iy+$23)
	ld hl,IntRoutine
	ld de,_user_int_ram+1
	ld bc,InterruptMemEnd-IntRoutine
	ldir
	ld a,(_user_int_ram+1)
	ld hl,_user_int_ram+($28*1)
	add a,(hl)
	ld hl,_user_int_ram+($28*2)
	add a,(hl)
	ld hl,_user_int_ram+($28*3)
	add a,(hl)
	ld hl,_user_int_ram+($28*4)
 	add a,(hl)
	ld hl,_user_int_ram+($28*5)
	add a,(hl)
	ld (_user_int_ram),a
	xor a
	ld (IntCounter), a
	ld (UserCounter), a
	ld de, IntData
	ld hl, SourceIntData
	ld bc, 2
	ldir
	set 2,(iy+$23)
	ret

CloseGray:
	res 2, (iy+$23)
	ld a, $3C
	out (0), a
ClearPage:
	ld hl, (Pages)
	call Clear1024
	ld hl, (Pages+2)
Clear1024:
	ld d, h
	ld e, l
	inc de
	ld (hl), 0
	ld bc, 1024
	ldir
	ret

IntRoutine:
	push af
	push hl
	in a,(3)
	bit 1,a
	jr z,EndIntRoutine
	ld hl, UserCounter
	inc (hl)
	ld hl, IntData
	ld a,(IntCounter)
	cp 5
	jr z,DisplayLast
	cp 3
	jr c,DisplayBpl1
	jr DisplayBpl2

DisplayBpl1:
	inc a
	ld (IntCounter),a
	ld a, (hl)
	out (0),a
	jr EndIntRoutine

DisplayBpl2:
	inc a
	ld (IntCounter),a
	inc hl
	ld a, (hl)
	out (0),a
	jr EndIntRoutine

DisplayLast:
	ld a, (hl)
	out (0), a
	xor a
	ld (IntCounter),a

EndIntRoutine:
	ld a,(UserCounter)
	cp 41
	jr z,EndIntRoutine2
	pop hl
	pop af
	ret
EndIntRoutine2:
	xor a
	ld (UserCounter),a
	pop hl
	pop af
	ret

InterruptMemEnd:

;--------------------------------------------------------------------------;

GraySprite:
	push hl
	pop ix
	call FindAddress
GraySpriteE:
	push hl
	push ix
	ld de,GrayDraw1
	add hl,de
	ld a,16
	ld (RenderSpriteM),a
	call RenderSprite
	ld a,8
	ld (RenderSpriteM),a
	pop ix
	pop hl
	ld de,GrayDraw2
	add hl,de
	ld de,$0008
	add ix,de

RenderSprite:
RenderSpriteCV = $+1
	ld b,8
RenderSpriteL:
	push bc
	ld a,(ix+8)
RenderSpriteM = $-1
	cpl
	ld b,a
	ld d,(ix)
	inc ix
	ld a,c
	ld c,$ff
	ld e,0
	or a
	jr z,RenderSpriteD
RenderSpriteS:
	srl d
	rr e
	scf
	rr b
	rr c
	dec a
	jr nz,RenderSpriteS
RenderSpriteD:
RenderSpriteCL =$
	ld a,b
	and (hl)
	or d
	ld (hl),a
	inc hl
RenderSpriteCR =$
	ld a,c
	and (hl)
	or e
	ld (hl),a
	ld de,15
	add hl,de
	pop bc
	djnz RenderSpriteL
	ret

FindAddress:
	ld a,c
	add a,a
	add a,a
	ld l,a
	ld h,0
	add hl,hl
	add hl,hl
	ld a,b
	and %11111000
	rra
	rra
	rra
	or l
	ld l,a
	ld a,b
	and %00000111
	ld c,a
	ret

;tables needed :)

IntCounter              equ _user_int_ram+InterruptMemEnd-IntRoutine+2
IntData                 equ _user_int_ram+InterruptMemEnd-IntRoutine+3
UserCounter             equ _user_int_ram+InterruptMemEnd-IntRoutine+5

SourceIntData:
.db PAGE1_BPL1, PAGE1_BPL2

Pages:
.dw $FC00, $F700

;-----------------------------------END-OF-GRAYSCALE-HANDLER----------------------;
;----------------------------------START-OF-GRAYSCALE-PUTSPRITE----------------------;
;NASR2_3 and NASR2_4
;made by Haroon I
;
;input: bc-coords for sprite
;	hl-sprite name
;
;	sprites have to be in this format:
;		.db width/8,1,height
;	instead of
;		.db width,height
;
;output:
;	no registers trashed/destroyed
;
; if you want to use use _textShadow start you variables at
; _textShadow + 1533

NASR2_4:    
        push bc
        ex de,hl
        call FIND_PIXEL
        ld bc,GrayDraw2
	jp normality	;use jr if you don't want speed
NASR2_3:    
        push bc
        ex de,hl
        call FIND_PIXEL
        ld bc,GrayDraw1
normality:
        add hl,bc
        ld (PicCoor),hl
        ex de,hl
        ld b,$ff
Patch23:
        rla
        inc b
        jr nc,Patch23
        ld c,(hl)
        inc hl
        ld a,b   
        ld e,c
        cp (hl)
        jr c,DS123
        inc e
DS123:
        inc hl
        ld a,(hl)
        ld d,a
        inc hl
YLoop23:            
        push bc 
        push de
        ld b,8
        ex de,hl
        ld hl,TempLine
InitTempLineLoop23:
        ld (hl),0
        inc hl
        djnz InitTempLineLoop23
        ex de,hl
        ld b,0
        ld de,TempLine
        ldir
        pop de
        pop bc
        ld a,b
        cp 0 
        call nz,ShiftLine23   
        push bc
        push hl
        push de
        ld b,e
        ld hl,(PicCoor)
        ld de,16
        push hl
        add hl,de
        ld (PicCoor),hl
        pop hl
        ld de,TempLine
        ex de,hl
LoadSpriteLoop23:
	ld a,(NASR_Status)
	cp 1
	jp z,status3
status4:
	ld a,(hl)
        ex de,hl
        xor (hl)
        ld (hl),a
        ex de,hl
status2:
	inc de
        inc hl
        djnz LoadSpriteLoop23
        pop de
        pop hl
        pop bc
        dec d
        jp nz,YLoop23
        pop bc
        ret

ShiftLine23:
        push hl
        push bc 
SpriLoop123:
        ld a,b    
        ld hl,TempLine
        ld b,e
        and a
SpriLoop223:        
        rr (hl)
        inc hl
        djnz SpriLoop223
        ld b,a
        djnz SpriLoop123        
        pop bc
        pop hl
        ret
status3:
	ld a,(hl)
        ex de,hl
	or (hl)
        ld (hl),a
        ex de,hl
	jp status2

;-----------------------------------------END-GRAYSCALE-PUTSPRITE--------------------------;
;-------------------------------------SAME-OLD-FINDPIXEL-ROUTINE---------------------------;
;best one out though (to me(really quick))

FIND_PIXEL:
		push bc
		push de
		ld hl,ExpTable
		ld d,0
		ld a,b
		and $07
		ld e,a
		add hl,de
		ld e,(hl)
		ld h,d
		srl b
		srl b
		srl b
		ld a,c
		add a,a
		add a,a
		ld l,a
		add hl,hl
		add hl,hl
		ld a,e
		ld e,b
		add hl,de
		pop de
		pop bc
		ret
ExpTable:
	.db $80,$40,$20,$10,$08,$04,$02,$01




;---------------------------END-THE-SAME-OLD-FINDPIXEL-ROUTINE-----------------------------;

spritelayer1:
 .db 16,1,64
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011001,%10011110,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01100011,%11000010,%00000000,%00000000,%00000000,%00000000,%01111000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11011111,%11111000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011100,%01111111,%10100000,%00000000,%00000000,%00000000,%00000000,%00011001,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01100011,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%10000110,%10000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11111111,%11111110,%10000000,%00000000,%00000000,%00000000,%00000000,%11100111,%10000100,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%11111111,%11111111,%00000000,%00000000,%00000000,%00000000,%00000000,%01100111,%11011000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00011111,%11111111,%11111000,%00000000,%00000000,%00000000,%00000000,%00000000,%11100111,%11100100,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00111111,%11111111,%11100010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%11100000,%00000000
 .db %00000100,%10111011,%10111011,%01101110,%11001000,%01000111,%11111111,%11100100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%11111010,%00000000
 .db %00000101,%00101010,%10101010,%10101010,%10101000,%00000011,%11111111,%11111100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%11111001,%10000000
 .db %00000110,%00101011,%00101010,%10101010,%10101000,%00000001,%11111111,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000,%01111111,%11111101,%10000000
 .db %00000101,%00101010,%10101010,%00101010,%10101000,%00100000,%11111111,%11011000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011111,%11111110,%10000000
 .db %00000100,%10111010,%10111010,%00101110,%10110000,%00111100,%01111111,%11111100,%00000000,%00000000,%00000000,%00000000,%00000001,%00011111,%11111110,%00000000
 .db %00000100,%10000000,%00000000,%00000000,%00000000,%00000000,%00111111,%11100010,%00000000,%00000000,%00000000,%00000000,%00000000,%00011111,%11111111,%01000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%00011111,%11111110,%00000000,%00000000,%00000000,%00000000,%00000000,%01111111,%11111111,%11000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000111,%11111100,%00000000,%00000000,%00000000,%00000000,%00000010,%11111111,%11111111,%11111000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%11100100,%00000000,%00000000,%00000000,%00000000,%01011001,%11111111,%11111111,%01111000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00011111,%11111100,%10000000,%00000000,%00000000,%00000100,%00111111,%11111111,%11111100,%01000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00011000,%01111111,%11111000,%00000000,%00000000,%00000000,%11000011,%11111111,%11111110,%00000001,%01000000
 .db %00000000,%00000000,%00000000,%00000000,%00000001,%00000011,%11111111,%10111000,%00000000,%00000000,%00000110,%11111111,%11100110,%00000000,%01000110,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00111110,%01111111,%11111000,%00000000,%00000000,%00000000,%00000111,%11111111,%10111000,%00011001,%10000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00011000,%01111111,%10000000,%00000000,%00000000,%00000000,%00011111,%11111111,%11111100,%10011000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000110,%11111111,%00000000,%00000000,%00000000,%00000000,%01100111,%11111111,%01000100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%11111111,%00000000,%00000000,%00000000,%00000000,%00011101,%11111111,%11111100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00111111,%11011100,%00000000,%00000000,%00000000,%00000001,%11111111,%10000100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000001,%00111111,%01000000,%00000000,%00000000,%00000000,%00111101,%11111101,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%01111111,%10000000,%00000000,%00000000,%00000000,%00100011,%11011011,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000110,%11111101,%00000000,%00000000,%00000000,%00000000,%00111100,%00011000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000001,%00111100,%00100000,%00000000,%00000000,%00000010,%01111110,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00100000,%01011111,%11000111,%11100000,%00011000,%00000000,%10111111,%00011000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00100001,%11111111,%11111100,%00111111,%11111111,%11111110,%00100000,%01000111,%11100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000011,%00111111,%11111111,%11111000,%01111111,%11111111,%11111111,%11111011,%10111111,%11011000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%10000101,%11100100,%11000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000011,%11111111,%10111111,%11111111,%11111111,%11111111,%11111110,%01011011,%10100011,%11000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%01111111,%10000011,%10000110,%01111111,%11111111,%11111111,%11111111,%11011110,%11111010,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00011101,%11111111,%11111111,%00000000,%00111111,%11111111,%11111111,%11111111,%10011111,%11111111,%11100100,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000011,%11111110,%11111001,%00000110,%11011111,%11111111,%11111111,%11111111,%11111111,%11111111,%11011101,%10000000,%00000000,%00000000,%00000000
 .db %00000000,%01000111,%11111100,%11011101,%11111111,%11011111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%11111111,%11111101,%10111111,%11111111,%11011111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%10111000,%00000000,%00000000,%00000000
 .db %00111000,%01111111,%11100001,%11111111,%11111111,%11011111,%11111111,%11111111,%11111111,%11100000,%00000011,%11100111,%11100000,%00000000,%00000000,%00000000
 .db %00000100,%11111111,%11100001,%11111111,%11111111,%10111111,%11111111,%11111111,%11111111,%11000011,%11100100,%11111111,%11111011,%00000000,%00000000,%00000000
 .db %00000001,%11111111,%11100001,%10111111,%11111111,%11111111,%11111111,%11111111,%11111110,%00100000,%01111111,%11100101,%11111101,%10000000,%00000000,%00000000
 .db %00000111,%11111111,%11100001,%11100101,%10111111,%01111111,%11111111,%11111111,%11111101,%11000000,%01111111,%11000111,%11111100,%10000000,%00000000,%00000000
 .db %10000111,%11111111,%11111110,%01111111,%11111110,%11111111,%11111111,%11111111,%11100111,%11000010,%11111111,%11100111,%11111110,%11100000,%00000000,%00000000
 .db %00111111,%11111111,%11111111,%11111010,%11100101,%11111111,%11111111,%11111111,%11000100,%01111111,%11111111,%11100111,%11111111,%10000000,%00000000,%00000000
 .db %00111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%10011101,%11111111,%11100111,%11100111,%11111111,%10000000,%00000000,%00000000
 .db %00111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%01111011,%11111111,%11111111,%11000111,%11111111,%00011000,%00000000,%00000000
 .db %10111111,%01111111,%01111111,%11111111,%11111111,%11111111,%11111111,%11111101,%01100011,%11111111,%11011011,%11000111,%11111111,%00011000,%00000000,%00000000
 .db %00000111,%11111100,%01100001,%11111111,%11111111,%11111111,%11111111,%11111111,%10011110,%00100110,%10000110,%00011011,%11111111,%00000000,%00000000,%00000000
 .db %00000111,%11100000,%00111111,%01100001,%11000111,%10011011,%11111111,%11111111,%11111101,%11000111,%00100011,%11111111,%11111111,%10000000,%00000000,%00000000
 .db %00111000,%11111111,%11000010,%00100001,%11111111,%11111010,%10111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%00011000,%00000000,%00000000
 .db %00000000,%00111111,%11100001,%11100000,%00000110,%11011111,%10100000,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%10000000,%00000000,%00000000
 .db %00000000,%01000011,%01100011,%00000001,%11111111,%11111101,%10111100,%10000000,%00000001,%11100111,%11111111,%11111111,%11111110,%00000000,%00000000,%00000000
 .db %00000000,%00011100,%00111101,%11111001,%10000000,%00011100,%11111111,%11111111,%11111111,%11000011,%00111111,%11111111,%11111100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%10000011,%11111111,%11111111,%11111110,%01100111,%00111110,%00011111,%10011111,%11111011,%11111111,%11111000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00011110,%01111110,%00000000,%00000000,%11111111,%10100010,%01111001,%11111001,%10100011,%11111111,%11011100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%11000011,%11111111,%11111111,%10000000,%00111110,%00011000,%01100010,%11100011,%11111111,%00100000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00011010,%01111111,%11111111,%11111111,%11000001,%11111000,%00111111,%01111011,%11111011,%10000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%10100000,%01111111,%11111111,%11111111,%11111111,%11111111,%11111111,%00000010,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00011101,%00111111,%11111111,%11111111,%11111100,%10011100,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000101,%10011000,%00000111,%00000000,%00111001,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%00111111,%10100011,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000

spritelayer2:
 .db 16,1,64
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11100011,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00111000,%00011100,%00000000,%00000000,%00000000,%00000000,%11100000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000,%00011000,%00000000,%00000000,%00000000,%00000000,%10000110,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00100000,%00000000,%00000000,%00000000,%00000000,%11100001,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00100000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%01100000,%11000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000,%00000000,%11000000,%00000000,%00000000,%00000000,%00000000,%01100000,%01100000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000110,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%01100000,%00011100,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000011,%00000000,%00000000,%00000000,%00000000,%00000000,%01100000,%00011100,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00011000,%00000000,%00000110,%00000000,%00000000,%00000000,%00000000,%00000000,%11100000,%00000110,%00000000
 .db %00000100,%10111011,%10111011,%01101110,%11001000,%00111000,%00000000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000000,%11100000,%00000011,%00000000
 .db %00000101,%00101010,%10101010,%10101010,%10101000,%01111100,%00000000,%00011000,%00000000,%00000000,%00000000,%00000000,%00000000,%11100000,%00000001,%00000000
 .db %00000110,%00101011,%00101010,%10101010,%10101000,%01111110,%00000000,%01111000,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000,%00000000,%10000000
 .db %00000101,%00101010,%10101010,%00101010,%10101000,%00111111,%00000000,%00011000,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000,%00000000,%11000000
 .db %00000100,%10111010,%10111010,%00101110,%10110000,%00011011,%10000000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000,%00000000,%11000000
 .db %00000100,%10000000,%00000000,%00000000,%00000000,%00011111,%11000000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000001,%10000000,%00000000,%11000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000110,%11100000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000001,%10000000,%00000000,%01000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%11111000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000110,%00000000,%00000000,%01000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%11111000,%00000001,%10000000,%00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%11000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%11100000,%00000001,%00000000,%00000000,%00000000,%00011110,%00000000,%00000000,%00000011,%11000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00111111,%10000000,%00000011,%00000000,%00000000,%00000001,%11100000,%00000000,%00000001,%11111110,%11000000
 .db %00000000,%00000000,%00000000,%00000000,%00000001,%11111100,%00000000,%00011100,%00000000,%00000000,%00011100,%00000000,%00000001,%11111111,%10111111,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00111001,%10000000,%00000000,%11000000,%00000000,%00000000,%01100000,%00000000,%00011111,%11100111,%11000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00011111,%10000000,%00111100,%00000000,%00000000,%00000000,%01000000,%00000000,%00011011,%11100000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000111,%00000000,%11000000,%00000000,%00000000,%00000000,%01000000,%00000000,%00011100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000001,%10000000,%01100000,%00000000,%00000000,%00000000,%00011000,%00000000,%00000100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%11000000,%00011000,%00000000,%00000000,%00000000,%00000110,%00000000,%00011100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000001,%10000000,%00011100,%00000000,%00000000,%00000000,%00011000,%00000011,%10000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000111,%00000000,%00111000,%00000000,%00000000,%00000000,%01111000,%00100110,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00011110,%00000000,%11000000,%00000000,%00000000,%00000111,%00000011,%11111000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000001,%10000001,%10000000,%00000000,%00000000,%00000011,%00000001,%11111000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%11111110,%11000000,%10111000,%00011111,%11100000,%00000001,%10000000,%11111000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%01111000,%00000000,%00011000,%11000000,%00000000,%00000000,%00011111,%01100000,%00011100,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%10000000,%00000000,%00000110,%10000000,%00000000,%00000000,%00000001,%00000000,%00011100,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00111100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011100,%00000011,%11100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%01100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00111000,%00011111,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000011,%00000000,%10000111,%11000001,%10000000,%00000000,%00000000,%00000000,%00000111,%00000101,%11111100,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000100,%00000000,%11111111,%10000000,%11000000,%00000000,%00000000,%00000000,%01100000,%00000000,%00000011,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00111000,%00000000,%11111111,%10000001,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000,%00000000,%00000000,%00000000
 .db %00000000,%01100000,%00000001,%11111111,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01100000,%00000000,%00000000,%00000000
 .db %00000000,%10000000,%00000001,%11111111,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011000,%00000000,%00000000,%00000000
 .db %00000011,%00000000,%00000011,%11111111,%11111111,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000110,%00000000,%00000000,%00000000
 .db %00000010,%00000000,%00000011,%11111111,%11111111,%10000000,%00000000,%00000000,%00000000,%00000111,%11111000,%00000000,%00000010,%00000000,%00000000,%00000000
 .db %00111100,%00000000,%00000011,%11111111,%11111111,%00000000,%00000000,%00000000,%00000000,%01100000,%11111111,%00000000,%00000001,%00000000,%00000000,%00000000
 .db %01111000,%00000000,%00000001,%11111011,%11111110,%00000000,%00000000,%00000000,%00000001,%10000000,%11111111,%11100000,%00000001,%10000000,%00000000,%00000000
 .db %01000000,%00000000,%00000000,%11111111,%11111000,%00000000,%00000000,%00000000,%00000011,%10000001,%11111111,%11111110,%00000000,%10000000,%00000000,%00000000
 .db %10000000,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00011111,%11111111,%11111111,%11111000,%00000000,%01100000,%00000000,%00000000
 .db %10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00111111,%11111111,%11111111,%11100000,%00000000,%01100000,%00000000,%00000000
 .db %10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00111111,%11111111,%11111111,%11100000,%00000000,%01100000,%00000000,%00000000
 .db %10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11111111,%11111111,%11111111,%11000000,%00000000,%01100000,%00000000,%00000000
 .db %11000000,%00000011,%11111100,%00000000,%00000000,%00000000,%00000000,%00000000,%00111111,%11111001,%11111111,%00000000,%00000000,%01111000,%00000000,%00000000
 .db %00111000,%00011111,%11000000,%11000000,%00111111,%11100000,%00000000,%00000000,%00000000,%00111111,%11000000,%00000000,%00000000,%01111000,%00000000,%00000000
 .db %00000110,%00000000,%01111101,%11011110,%00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01100000,%00000000,%00000000
 .db %00000001,%10000000,%00011110,%00011111,%11111001,%00100000,%01111000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01100000,%00000000,%00000000
 .db %00000000,%01100000,%00000000,%11111110,%00000000,%00000010,%01000011,%11111111,%11111110,%00000000,%00000000,%00000000,%00000000,%11100000,%00000000,%00000000
 .db %00000000,%00000110,%00000000,%00000000,%01111111,%11111111,%00000000,%00000000,%00000000,%00111111,%11000000,%00000000,%00000001,%10000000,%00000000,%00000000
 .db %00000000,%00000000,%11000000,%00000000,%00000000,%00000000,%00011111,%11000001,%11100000,%01100000,%01111100,%00000000,%00000011,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00011110,%00000001,%11111111,%11111111,%00000000,%00011111,%10000110,%00000111,%11011100,%00000000,%00000100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%01111111,%11000000,%01111111,%11111100,%00011100,%00000000,%00111000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000111,%00000000,%00000000,%00000000,%00111110,%00000000,%00000000,%00000100,%00000000,%11000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%01111110,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011110,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00111110,%00000000,%00000000,%00000000,%00000000,%01111110,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%11100000,%00000000,%00000000,%00000111,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11111111,%11111100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000

spritelayer3:
 .db 16,1,64
 .db %00000000,%00000000,%00000000,%00001001,%11110111,%10000000,%00001111,%00000110,%01000110,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11111000,%00000111,%11000000,%00000000,%11100100,%00000011,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%00100000,%00000000,%00000000,%00000000,%00000000,%11000001,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11100000,%00000011,%00000000,%00000000,%10000000,%00000001,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11100000,%00000011,%01000000,%00000011,%00000000,%00000001,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11011101,%10000000,%10000000,%00001100,%00000000,%00000111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11110011,%11000011,%10000000,%00000000,%00100000,%10011000,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00110000,%00000000,%00000000,%00000000,%00011001,%01011101,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%11000001,%10000000,%00000000,%00000000,%00000001,%11011010,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%00001111,%10000000,%00000000,%00000000,%00000001,%01111011,%11000000,%00000000,%00100111,%00101011,%01101110,%11001000,%00000000
 .db %00000000,%00000000,%00000001,%00001111,%10000000,%00000000,%00000000,%00000000,%01111010,%11000000,%00000000,%01010100,%00101010,%10101010,%10101000,%00000000
 .db %00000000,%00000000,%00000000,%11111011,%10100000,%00000000,%00001110,%00000010,%00111110,%11000000,%00000000,%01010101,%10101010,%10101010,%10101000,%00000000
 .db %00000000,%00000000,%00000000,%11101101,%11100000,%00000000,%00001100,%00000011,%11100111,%10000000,%00000000,%01110100,%10101010,%00101010,%10101000,%00000000
 .db %00000000,%00000000,%00000000,%11101010,%01001111,%00000000,%00000000,%00011111,%11111111,%10000000,%00000000,%01010111,%10111010,%00101110,%10110000,%00000000
 .db %00000000,%00000000,%00000010,%11000000,%00001000,%00000000,%00010000,%00000110,%00011000,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11000000,%00000000,%01000000,%00000000,%01000010,%00000000,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%00000000,%01000000,%00000000,%00000000,%00000000,%10000000,%11110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%11010100,%00000000,%01000000,%00000000,%00000000,%00000000,%10110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%00001100,%00000000,%00000110,%00000000,%00000000,%00011110,%10110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11000011,%10000000,%00000000,%00000000,%00000000,%00111000,%10110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%11000001,%11000000,%00000000,%00000000,%00000001,%01111001,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11011101,%10001111,%00000111,%00000000,%00000001,%00000110,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00110001,%11110111,%10000000,%00000000,%00000110,%00011010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000101,%10001111,%11111111,%11111111,%11111100,%00011100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%01110000,%00000000,%00000000,%00000011,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000011,%10001111,%00000000,%00000000,%00000011,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000101,%11000111,%00000000,%00000000,%00011101,%10111000,%00000000,%00000000,%00000000,%00000000,%00000111,%11110011,%11111100
 .db %00000000,%00000000,%00000000,%00011110,%00000011,%00011111,%11111111,%10000000,%00111010,%00000000,%00000000,%00000000,%00100111,%00000000,%00110000,%00000010
 .db %00000000,%00000000,%00000000,%00010000,%00000000,%01100000,%00000000,%01100000,%00000010,%00000000,%00000000,%00000011,%11110000,%00110110,%10001100,%10100000
 .db %00000000,%00000000,%00000000,%00100001,%10000000,%00000001,%11111101,%00000000,%00000001,%10000000,%00000000,%00010010,%00011111,%11011001,%11011110,%00000000
 .db %00000000,%00000000,%00000001,%11000011,%10000000,%00000000,%00000000,%00000000,%00100000,%11111000,%00000001,%11010000,%00000111,%00000001,%01000000,%00000000
 .db %00000000,%00000000,%00000010,%00000001,%10000000,%00000000,%00000000,%00000000,%00100000,%00110011,%00000011,%00000000,%01000100,%00000110,%10000000,%11111110
 .db %00000000,%00000000,%00000010,%00000000,%01000000,%01100110,%01001110,%00000000,%01000000,%00000101,%11100100,%00000011,%10111000,%00000111,%01000000,%00011110
 .db %00000000,%00000000,%00000000,%00000011,%11000000,%00000000,%00000000,%00000000,%01100000,%00001000,%00000000,%00001110,%00000000,%00000001,%11110001,%00000000
 .db %00000000,%00000000,%01111001,%00000011,%11110000,%00000000,%00000000,%00000001,%10011001,%00000000,%00000000,%00011110,%00000000,%00000000,%00001111,%00000000
 .db %00000000,%00000000,%11110000,%00001100,%00011000,%00111110,%00000000,%11100010,%00011111,%00001000,%00000111,%11111110,%00000000,%00000001,%11100000,%00000000
 .db %00000000,%00000001,%00000000,%00101000,%00000000,%00000000,%00000000,%00000000,%00000111,%01110000,%01101100,%00000000,%00000000,%01111111,%00000000,%00000000
 .db %00000000,%00000010,%00000000,%00101100,%00000000,%00000000,%10000000,%00000000,%00000000,%00111010,%00000000,%00000000,%00001100,%00000000,%00000000,%00000000
 .db %00000000,%00000011,%00000000,%00111100,%00000111,%00000000,%00000000,%00000000,%00000001,%00000011,%00001111,%00100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000110,%00001000,%00011000,%00000000,%00000000,%00000010,%00000000,%00000011,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001110,%00000100,%00001000,%00000000,%00000000,%00000000,%00000000,%00000010,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00001000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000000,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000100,%00000100,%00000000,%00000000,%00000000,%00000010,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00001000,%11000011,%10000000,%10000000,%00000000,%00000100,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000100,%00010000,%00100001,%10000000,%01000000,%00000000,%00000000,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00110101,%00000000,%00100001,%10000000,%00000000,%00000000,%00000000,%10000000,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00110000,%10000000,%00000000,%01000100,%00000000,%00000000,%00000011,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%10000000,%00111110,%01000100,%10111111,%01011111,%00000100,%00000001,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000100,%01101111,%11111111,%10000000,%10000000,%00000000,%00000100,%00000000,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00110100,%11101111,%11110001,%11100000,%00000110,%01110001,%00111100,%01000000,%01110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00110100,%11101000,%00010001,%10101000,%01000000,%00000000,%00111000,%01000000,%00110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000111,%11101000,%00110001,%10110000,%11000000,%00000000,%00111100,%00000000,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000100,%11101000,%00011001,%11100000,%11000000,%00000000,%00111000,%00000000,%10110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00010100,%00000100,%00000000,%01110000,%00000000,%00000000,%00000000,%11110000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000110,%00001010,%00000111,%10000000,%00000000,%00000000,%11100000,%00000010,%11110101,%10000001,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000011,%00000110,%11010111,%10000000,%00000000,%00000000,%00000000,%11011000,%10111011,%01111111,%11111000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%11111111,%11100111,%11001001,%11000000,%00001110,%00000000,%10000000,%00000011,%10111111,%00000011,%11100110,%00000000,%00000000,%00000000,%00000000
 .db %00000001,%01001000,%11101111,%00111100,%00000000,%10000000,%00000010,%00000000,%01011000,%01111010,%00000001,%11000001,%11000000,%00000000,%00000000,%00000000
 .db %00000000,%00110001,%01111101,%00001100,%00000011,%10000000,%00000000,%00000000,%01100000,%00110110,%00000001,%11000000,%01100000,%00000000,%00000000,%00000000
 .db %01100000,%01000000,%10011010,%00000000,%00000000,%00000110,%10000000,%00000000,%00000000,%00000100,%00000000,%11100000,%00010000,%00000000,%00000000,%00000000
 .db %01000001,%00000000,%00010100,%00000111,%10000000,%00001110,%10000001,%11100001,%10000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000
 .db %11000000,%00000011,%11111000,%00001001,%10000011,%00001110,%00000000,%01000101,%10000111,%11110000,%11101111,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000

spritelayer4:
 .db 16,1,64
 .db %00000000,%00000000,%00000000,%00001110,%00011000,%01111111,%11111111,%10000011,%10111100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00100111,%11111011,%00111111,%11111111,%00111011,%11111101,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11011111,%11111111,%11111111,%11111111,%11111111,%11111110,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11011111,%11111111,%11111111,%11111111,%11111111,%11111110,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11011111,%11111111,%11111111,%11111111,%11111111,%11111110,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11011111,%11111111,%11111111,%11111111,%11111111,%11111110,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00100110,%01111111,%11111111,%11111111,%11111111,%11111000,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00011001,%10111111,%11111111,%11111111,%11111111,%01100111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11010001,%11111111,%11111111,%11111111,%11111110,%10000010,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00110011,%11111111,%11111111,%11111111,%11111110,%10000101,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%00110111,%11111111,%11111111,%11111111,%11111110,%11111101,%01000000,%00000000,%00100111,%00101011,%01101110,%11001000,%00000000
 .db %00000000,%00000000,%00000001,%00110111,%11111111,%11111111,%11111111,%11111111,%11111101,%01000000,%00000000,%01010100,%00101010,%10101010,%10101000,%00000000
 .db %00000000,%00000000,%00000001,%00010111,%11011111,%11111111,%11111111,%11111101,%11111001,%01000000,%00000000,%01010101,%10101010,%10101010,%10101000,%00000000
 .db %00000000,%00000000,%00000001,%00011000,%01011111,%11111111,%11111111,%11111100,%10000010,%01000000,%00000000,%01110100,%10101010,%00101010,%10101000,%00000000
 .db %00000000,%00000000,%00000001,%00010111,%10111100,%11111111,%11111111,%11111110,%01111100,%01000000,%00000000,%01010111,%10111010,%00101110,%10110000,%00000000
 .db %00000000,%00000000,%00000001,%00111111,%11111111,%11111111,%11111111,%11111011,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000011,%00111111,%11111111,%11111111,%11111111,%11111111,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000010,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000010,%00111111,%11111111,%11111111,%11111111,%11111111,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000010,%11110111,%11111111,%11111111,%11111111,%11111111,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000011,%00111110,%01111111,%11111111,%11111111,%11111111,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%00111111,%11111111,%11111111,%11111111,%11111110,%11111110,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11100010,%01110100,%11111111,%11111111,%11111111,%11111001,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00011110,%00001100,%01111111,%11111111,%11111101,%11100111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000011,%11110011,%11111111,%11111111,%11100011,%11111000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00111111,%11111111,%11111111,%11111101,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%01111100,%11111111,%11111111,%11111111,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000011,%10111111,%11111111,%11111111,%11111110,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00010001,%11111111,%11111111,%11111111,%11111111,%11000110,%00000000,%00000000,%00000000,%00011100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11101111,%11111111,%11111111,%11111111,%11111111,%11111101,%10000000,%00000000,%00000001,%10001000,%00000001,%00000000,%01000000
 .db %00000000,%00000000,%00000000,%11011111,%11111111,%11111111,%11111110,%11111111,%11111110,%01000000,%00000000,%00001101,%11101000,%00110110,%00000000,%00000000
 .db %00000000,%00000000,%00000001,%00111101,%11111111,%11111111,%11111111,%11111111,%11111111,%01000000,%00000000,%11101111,%11111011,%11111110,%11000000,%00000000
 .db %00000000,%00000000,%00000011,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11001110,%00000110,%11111111,%11111111,%11111001,%10000000,%00000000
 .db %00000000,%00000000,%00001101,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111010,%11111011,%11111111,%11111111,%11111110,%10000000,%00000000
 .db %00000000,%00000000,%00011111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%00000000,%11000000
 .db %00000000,%00000000,%00010111,%11111110,%01101111,%11111111,%11111111,%11111110,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%10000000,%00000000
 .db %00000000,%00000000,%01101111,%11111111,%11111111,%11111111,%11111111,%11111111,%11100111,%11111111,%11111111,%11111111,%11111111,%11111110,%01000000,%00000000
 .db %00000000,%00000000,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111010,%11001111,%11111111,%11111111,%11111111,%11110000,%00000000,%00000000
 .db %00000000,%00000001,%11111111,%11111011,%11111111,%11111111,%11111111,%11111111,%11111111,%00001101,%11111111,%11111111,%11110000,%00000000,%00000000,%00000000
 .db %00000000,%00000010,%11111111,%11011011,%11111111,%11111111,%11111111,%11111111,%11111111,%00000001,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000101,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111101,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000101,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111101,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001111,%11111111,%11111110,%01111111,%11111111,%11111111,%11111111,%11111110,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001011,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111110,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001011,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%11111111,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00111111,%11111111,%11010001,%11111011,%11111111,%11111111,%11111111,%11111110,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00111011,%11110000,%00010000,%01111111,%01111111,%11111111,%11111011,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001011,%01110000,%00100000,%01011111,%11000001,%11111110,%00011011,%11111111,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001011,%01110000,%00100000,%01011111,%10000000,%00000000,%00011111,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001000,%00010000,%00010000,%01011111,%10000000,%00000000,%00011011,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001000,%00011000,%00011000,%01011111,%01000000,%00000000,%00100111,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000100,%00000100,%00010001,%11111111,%10100000,%00000000,%01111111,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00011111,%11111111,%11110000,%00000000,%01011111,%11111101,%00001111,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00001101,%00011110,%01111111,%11111000,%00000000,%11111111,%11100111,%01000100,%10001000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000001,%00000100,%10001000,%11110110,%01111111,%11110110,%00000001,%01111111,%11111100,%11000010,%00000100,%00100000,%00000000,%00000000,%00000000,%00000000
 .db %00000100,%10110001,%00011001,%00001011,%11111111,%11111111,%00000001,%11111111,%10100000,%00110100,%00000001,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00011000,%11000000,%10000010,%00000111,%11111111,%11111111,%00000011,%11111111,%10100000,%00001000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%10000000,%01100100,%00000111,%11111111,%11111001,%00000011,%11111111,%11100000,%00000100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%10000000,%01101000,%00000010,%01111111,%11110001,%00000001,%00011110,%01100000,%00000100,%00000000,%00100000,%00010000,%00000000,%00000000,%00000000
 .db %00000001,%00000000,%01101000,%00000110,%01111111,%11111000,%00000000,%00111111,%11111000,%00001100,%00010000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000

spritelayer5:
 .db 16,1,64
 .db %00000000,%00000000,%00000000,%00000000,%00001001,%10100000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000,%00000000
 .db %00111001,%11011010,%10110110,%11101100,%10001101,%11110100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01101000,%00000000,%00000000,%00000000
 .db %00100001,%01010010,%10101010,%10101010,%10000001,%11011111,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000,%10001000,%00000000,%00000000,%00000000
 .db %00101101,%10011001,%00101010,%10101010,%10000001,%11100101,%11110000,%00111110,%00000000,%00000000,%00000000,%00000001,%10001000,%00000000,%00000000,%00000000
 .db %00100101,%01010001,%00100010,%10101010,%10000000,%00011100,%01101110,%01110011,%11111111,%11100000,%00000000,%00000111,%10010000,%00000000,%00000000,%00000000
 .db %00111101,%01011001,%00100010,%11101011,%00000000,%00000111,%01110111,%11111111,%11111111,%00010000,%00000000,%00010111,%10100000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11100101,%11111101,%10010111,%10100000,%00000000,%00111011,%11100010,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01111111,%01000111,%11111111,%11011111,%11101000,%01111111,%11010100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%10111111,%11000011,%11111001,%11010110,%11110000,%11101111,%11111000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00001111,%11111100,%11011111,%11111111,%11110101,%11101111,%11111110,%11110000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00001011,%10111110,%10111101,%11111111,%11111010,%00101111,%11101111,%11100000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00001011,%11111100,%01011011,%11111111,%00111100,%10110101,%11101100,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00101111,%11111011,%11110111,%11111111,%11111111,%11011011,%01010000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00001111,%11111011,%01100111,%10111111,%11011111,%01111110,%11100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000011,%00111001,%01110011,%11111111,%11111111,%10110100,%01111110,%10000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%10011010,%11001000,%11011000,%11011100,%11101111,%10011111,%11101100,%10000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000011,%11000001,%10111000,%00101110,%10011011,%11011111,%10111101,%01001011,%10000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00001111,%00000101,%10001100,%01010111,%01011010,%11001011,%11111110,%11010110,%10000000,%00000000,%11111111,%11000000,%10111100
 .db %00000000,%00000000,%00000000,%11010000,%01000011,%10001100,%11001011,%11101110,%10101110,%10111111,%11110010,%10100000,%00001101,%01100000,%11110100,%01001000
 .db %00001011,%11110000,%00111111,%01011110,%00000010,%11111001,%10000100,%00101011,%11110100,%01001111,%10000010,%11000110,%11111100,%11010100,%00001110,%00000000
 .db %00000111,%11100001,%11000000,%11110100,%00100011,%11110011,%11111000,%10111110,%10001111,%11011101,%11111000,%11001011,%00001110,%01000001,%11100000,%00000000
 .db %00001111,%00001001,%01000000,%10000011,%01010100,%11001111,%10001011,%10011010,%11100011,%10110111,%11100110,%11100011,%11100111,%11110110,%00000000,%00000000
 .db %00000111,%10011111,%10000001,%01110011,%00110010,%11111111,%10110101,%10110010,%01011110,%10001111,%11110111,%11011111,%00000011,%10000000,%00000000,%00000000
 .db %00000110,%01001101,%11011001,%00110000,%01010001,%11101111,%01011111,%10110110,%00011010,%11111011,%01011101,%10000000,%10111100,%00000000,%00000000,%00000000
 .db %00111110,%01101101,%01111000,%11000000,%01111001,%01011111,%11101101,%11001101,%00000000,%00100110,%10101001,%11010001,%11110000,%00000000,%00000000,%00000000
 .db %10000111,%00001000,%11000010,%10000000,%11101000,%00011100,%00011000,%01100000,%00000110,%10111000,%01110000,%11100001,%11100000,%00000000,%00000000,%00000000
 .db %00011001,%00100111,%00110011,%00000010,%11010100,%00000000,%11101011,%10101011,%01111110,%10011010,%11100111,%01011100,%00000000,%00000000,%00000000,%00000000
 .db %10000110,%00001010,%01100000,%00000011,%10011111,%11111111,%10001110,%10111101,%10101110,%00011100,%00001001,%01001011,%00000111,%10010110,%00000000,%00000000
 .db %01100000,%01101110,%00000000,%00000101,%11101101,%00001000,%00000001,%11100010,%11011011,%00001011,%00000111,%00011100,%00000110,%01010110,%00000000,%00000000
 .db %00001111,%10100000,%00000000,%00001101,%00111111,%00001000,%10000001,%11111110,%11110000,%01100111,%01000000,%01011000,%01101101,%00001111,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00111110,%11111100,%00000001,%00001111,%01101110,%00111111,%11111011,%10101000,%00010111,%00000100,%11100001,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00100000,%00010100,%00010010,%10001111,%10111111,%11111111,%11111010,%00111000,%00110110,%00001110,%10111001,%10000000,%00000000
 .db %00000000,%00000000,%00000000,%01101000,%11000000,%00000010,%00000000,%00011001,%11001110,%01100000,%00000000,%00110111,%11000110,%10010111,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%01011111,%01000000,%00000000,%00000111,%00000001,%10000000,%01010010,%01111101,%10011011,%01000101,%00000110,%00010000,%00000000
 .db %00000000,%00000000,%00000000,%11011100,%10000000,%00000000,%00000111,%11001010,%00000010,%00101111,%01100101,%01100010,%11001110,%00111111,%01110000,%00000000
 .db %00000000,%00000000,%00000000,%10101110,%10101001,%00000001,%01000010,%11111111,%00000011,%00110101,%01000100,%00001101,%10110101,%01100110,%01100000,%00000000
 .db %00000000,%00000000,%00000000,%11111000,%10000111,%00000000,%11000000,%00001111,%11011010,%01111110,%01110000,%00000000,%00000000,%00001101,%11000000,%00000000
 .db %00000000,%00000000,%00000101,%11101111,%00110000,%00010001,%01001001,%00000010,%11111111,%11111101,%11000000,%00000000,%00000000,%00001011,%00000000,%00000000
 .db %00000000,%00000000,%00001011,%11110111,%10110000,%00000010,%00100010,%00000000,%01111110,%01111101,%11000000,%00000000,%00000000,%00011000,%00000000,%00000000
 .db %00000000,%00000000,%00010101,%11101011,%10011000,%10000000,%00000000,%00001001,%00011110,%00100100,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000100,%00111110,%10100101,%00000010,%00000000,%00000000,%01011110,%00001100,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%01100000,%11011111,%11110000,%00000000,%00000000,%00010101,%10110100,%01000011,%10110000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%01110100,%00001010,%00011100,%00000000,%00000000,%01111001,%10011000,%10010100,%11010000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%01110000,%00011100,%00111110,%00010011,%11111111,%10001111,%00100001,%00000101,%00110000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00100110,%01110000,%00100000,%11110011,%10010110,%01111000,%00100011,%10010000,%00110000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%01110110,%01000001,%10000100,%01100001,%11111100,%00000000,%01110001,%10010010,%00110000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000110,%10010000,%01111000,%01100000,%00000000,%00000000,%00010001,%00000000,%01110000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00001111,%11001000,%01111010,%01000000,%00000000,%00000000,%00110001,%10000000,%00100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11000111,%10000010,%01000000,%00000000,%00000000,%01111110,%01010100,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00001111,%00100110,%00000000,%01000000,%00000000,%00000000,%01100000,%01111100,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00111100,%01110110,%10011000,%10100000,%00000000,%00000000,%01100000,%00010111,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%11001111,%11000001,%11110101,%10100000,%00000000,%00000001,%11000010,%01000111,%00010000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%11111111,%00111011,%01111011,%11100000,%00000000,%00000000,%00111111,%00000001,%10001000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001010,%11010110,%10101010,%00100010,%01000000,%00000000,%00000100,%00011000,%01111111,%11101111,%11100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00001111,%10001111,%11110000,%00010011,%00000000,%00000000,%00000100,%10011110,%00010001,%00000000,%00011100,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00001111,%00000000,%00001111,%00000000,%00000000,%00000011,%01110001,%11000111,%10011100,%11111111,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000110,%00000000,%00001110,%00000000,%00000000,%00000011,%00101001,%10100111,%00000110,%01100011,%10000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%10000110,%00100000,%00000001,%11100000,%11100000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%10000100,%01001001,%11000001,%01111100,%00011000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%00000111,%10100010,%11110000,%10011000,%10001100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%11001111,%00000001,%11111101,%10000011,%11110100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01101110,%00000000,%00111101,%10000000,%00111010,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00101110,%00000000,%00000111,%10000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000

spritelayer6:
 .db 16,1,64
 .db %00000000,%00000000,%00000000,%00000000,%00001110,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00001000,%00000000,%00000000,%00000000
 .db %00111001,%11011010,%10110110,%11101100,%10000011,%11001000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00011000,%00000000,%00000000,%00000000
 .db %00100001,%01010010,%10101010,%10101010,%10000011,%11111001,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01110000,%00000000,%00000000,%00000000
 .db %00101101,%10011001,%00101010,%10101010,%10000000,%01111110,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01110000,%00000000,%00000000,%00000000
 .db %00100101,%01010001,%00100010,%10101010,%10000000,%00001111,%11110001,%11111100,%00000000,%00000000,%00000000,%00000000,%11100000,%00000000,%00000000,%00000000
 .db %00111101,%01011001,%00100010,%11101011,%00000000,%00000011,%11111000,%11111110,%00011111,%11100000,%00000000,%00001001,%01000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%11111011,%10011111,%11111111,%11111000,%00000000,%00000111,%10000100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00111011,%11000111,%11111111,%11111010,%00010000,%01011111,%00001000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%01000111,%10000111,%11111111,%11111101,%11111100,%10111100,%00001000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%11111111,%00111111,%11111111,%11111110,%01111110,%01111001,%00110000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000111,%11000111,%11001111,%11111111,%11111111,%11110001,%11110011,%10000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00010100,%01111111,%11111111,%11111111,%11000011,%11001111,%11010000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00010001,%11111111,%11111111,%11100000,%00000000,%00111111,%10100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00111111,%11111111,%11111111,%11000000,%00111111,%10111111,%11000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%11000110,%10001111,%11111111,%11111111,%11111111,%11111111,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%01100101,%11111111,%00111111,%11111111,%11111111,%11111111,%11111111,%10000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000001,%00111111,%11111111,%11110011,%00011111,%11111111,%11111111,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000010,%11111111,%11111011,%11111100,%00111111,%11111111,%11111111,%11111111,%11000000,%00000000,%00000000,%00111111,%01000000
 .db %00000000,%00000000,%00000000,%00111111,%11111111,%11111111,%11111100,%11111101,%11111111,%11111111,%11111111,%11000000,%00000011,%10011111,%11111111,%11110000
 .db %00000100,%00000000,%00000000,%10111111,%11111111,%01011111,%01111111,%11110000,%11111111,%11111111,%11111111,%11000001,%00001111,%11111111,%11110000,%00000000
 .db %00001001,%11010000,%11111111,%01111011,%11111111,%00111111,%00111111,%11010011,%11111111,%11111111,%11111111,%11011100,%11110111,%11111111,%10000000,%00000000
 .db %00000010,%00111110,%11111111,%11111110,%11111011,%00111011,%01111111,%10111111,%11100001,%11011011,%11111111,%11011111,%11111011,%00111000,%00000000,%00000000
 .db %00000100,%00001011,%11111111,%11101111,%00011111,%01001101,%11001110,%00011111,%11100111,%11000101,%10001111,%10111111,%11111111,%00000000,%00000000,%00000000
 .db %00000001,%11000110,%01100111,%11111000,%00111110,%11110011,%10111000,%00011101,%11111111,%10010010,%00000000,%01111111,%11001100,%00000000,%00000000,%00000000
 .db %00001011,%10110011,%10100111,%10000000,%01011110,%10111000,%11011010,%01111001,%11111111,%11000101,%00000101,%11111110,%11100000,%00000000,%00000000,%00000000
 .db %01111111,%11111111,%10000001,%00000000,%01011111,%11101111,%11111111,%10111001,%11111111,%11000111,%10001111,%01111110,%10000000,%00000000,%00000000,%00000000
 .db %11111111,%11111100,%00001100,%00000001,%00111011,%11111111,%11110111,%11011001,%11100011,%11110011,%00111011,%10111011,%00000000,%00000000,%00000000,%00000000
 .db %01000011,%11110111,%10000000,%00000010,%01111011,%11111111,%11111111,%11001111,%11000111,%11100011,%11111111,%10111100,%00000000,%01111000,%00000000,%00000000
 .db %00100001,%10011100,%00000000,%00000110,%00010011,%11110111,%11111111,%11011111,%00000111,%11110010,%11111111,%11101000,%00001101,%10101000,%00000000,%00000000
 .db %00000000,%01000000,%00000000,%00000010,%11111111,%11111111,%11111110,%01011001,%10011111,%11000110,%11111111,%11110000,%00110011,%11111000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00010001,%00000011,%11111111,%11111111,%10110111,%11000000,%00110111,%11111111,%11101111,%11111111,%10100000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00011111,%11111111,%11111111,%11110000,%01111100,%11111111,%11111111,%11111111,%11011111,%11111101,%01110000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00010111,%11111111,%11111111,%11111111,%11101110,%00111111,%11111111,%11111111,%11111110,%10000001,%01101001,%11100000,%00000000
 .db %00000000,%00000000,%00000000,%00110110,%10111111,%11111111,%11111111,%11111110,%01111111,%11111111,%10110011,%11110111,%10111000,%11111111,%11100000,%00000000
 .db %00000000,%00000000,%00000000,%00111111,%11111111,%11111111,%11111011,%11110111,%11111111,%11111011,%10111010,%00011101,%11111111,%11011000,%10000000,%00000000
 .db %00000000,%00000000,%00000000,%01111011,%11111111,%11111111,%11111111,%00111001,%11111100,%11001011,%10111100,%00000011,%11111110,%10100000,%00100000,%00000000
 .db %00000000,%00000000,%00000000,%10001111,%11111111,%11111111,%11111111,%11111110,%00100111,%11111011,%10100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000011,%11011100,%11111111,%11111111,%11111111,%11111111,%00001111,%00000011,%10000000,%00000000,%00000000,%00010000,%00000000,%00000000
 .db %00000000,%00000000,%00001110,%00001110,%11111111,%11111111,%11111111,%11111111,%11110001,%11111111,%00000000,%00000000,%00000000,%00100000,%00000000,%00000000
 .db %00000000,%00000000,%00001010,%00010111,%01111111,%11111111,%11111111,%11111111,%11100111,%11011011,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00011111,%11000001,%11011111,%11111111,%11111111,%11111111,%11111111,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00111111,%11111111,%11101111,%11111111,%11111111,%11111111,%11011011,%11111111,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%01101111,%11110101,%11110011,%11111111,%11111111,%11111111,%11111111,%11111111,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%10011111,%11111111,%11111101,%11111111,%11111111,%11110010,%11111111,%11111111,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%11011111,%11111111,%11111111,%11101100,%01101001,%10110001,%11011111,%01111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%01001111,%11111111,%11111111,%10100000,%00000000,%00000000,%00101111,%01111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00111001,%01111111,%10011111,%10100000,%00000000,%00000000,%00001111,%11111111,%10000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00111111,%11111111,%10100000,%00000000,%00000000,%00001111,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00111011,%01111111,%11000000,%00000000,%00000000,%00101111,%11111111,%01000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%11011111,%11111111,%11000000,%00000000,%00000000,%00111111,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00010011,%11111001,%11111111,%11000000,%00000000,%00000000,%00111111,%11111111,%11000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%10000110,%11101010,%01000000,%00000000,%00000000,%11111101,%10111111,%11100000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000010,%00000000,%00000010,%11010000,%00000000,%00000000,%00000001,%11111111,%11111110,%01110000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00100000,%00000100,%00010001,%10000000,%00000000,%00000011,%11111111,%11011100,%00110011,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%11111111,%11111111,%11111111,%11100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%11111111,%10111010,%00000111,%10100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000010,%11000110,%11111100,%00000011,%11000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%00000011,%11111100,%00000000,%10000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000011,%00000011,%11111100,%00000000,%10000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000001,%00011100,%00000000,%01100000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000100,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000
 .db %00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000,%00000000

EXIT:
	jp CloseGray
	ret

.end